GPA Help


About GPA Help


Conventions

The typographic conventions used in this help are described below.

Convention | Description
Bold | Used to denote components of the user interface such as buttons, field names, menus, and menu options. For example, the New button.
Menu...MenuOption | Select the menu from the menu bar then select the menu option from the menu. For example, File...Open would mean to select the File menu and then the Open option.
CAPS | Used to denote the name of a key on the keyboard. For example, the ENTER key.
Italics | Used to denote emphasis, captions and the result of an action in a procedure.


Contact Us

General enquiries on the GPA for DigitalMicropraph should be sent to:

HREM Research Inc.
14-48 Matsukazedai
Higashimatsuyama
Saitama 355-0055
Japan

email:
Website:

support@hremresearch.com
www.hremresearch.com /

Enquiries on GPA of a technical nature should be directed to:

Dr. Martin Hytch
CEMES-CNRS, Toulouse, France

email:

hytch@cemes.fr


Copyright Statements

© Copyright 2008-2015 HREM Research Inc. and CEMES-CNRS

All rights reserved. This manual is protected by international copyright laws and treaties. Unauthorized reproduction and distribution of this manual, or any portion of it, will be prosecuted to the maximum extent possible and may result in severe civil and criminal penalties.

Portions of this document were prepared by HREM Research Inc. by editing the materials supplied by Dr. Martin Hytch.

DigitalMicrograph is a trade mark of Gatan Inc.


Quick Reference Guide

The GPA Main Menu
Phase Calculation Menu
Define Reference Menu
Scan distortion correction Menu
Displacement field Menu
Strain Field Menu
Repeat Project Menu
Phase Maths Menu
Phase Tools Menu

Image Group Menu
Project Menu
Reference Image Menu


The GPA Main Menu

Quick Reference Guide

The GPA Main Menu

The commands in the GPA menu are described below.

Command | Description
Power Spectrum | First step in the GPA procedure. Calculates and displays the Fourier transform of the front most image. Spots are then selected in the image of the Fourier transform (called Power Spectrum) using the mouse tool.
Phase calculation... | Second step in the GPA procedure. Calculates phase images for the spots selected in the Power Spectrum. Results for each spot are displayed and managed as part of a project (see options).
Define Reference (see sub menus) | Menu concerning the reference lattice and third step in the GPA procedure.
Scan distortion correction... | Corrects gfly-backh scan distortion in STEM using an average value measured within the user specified ROI.
Displacement field... | Calculates the full 2D vector displacements in the plane of the image from two phase images.
Strain field... | Calculates the two dimensional deformation tensor. Asks for two phase images and options (see below).
Fringe displacement | Calculates the displacements perpendicular to a single set of lattice fringes.
Fringe deformation | Calculates the deformation of lattice fringes from the front most phase image. Displays variation in fringe spacing (with respect to reference) and orientation (in degrees, anticlockwise positive).
Repeat Project (see sub menus) | Allows phase images and other output to be generated directly from the front most HREM image, exactly as for a previous project. Also allows to save details of the current project for later use (even in other sessions of DM).
Phase Maths (see sub menus) | Menu of different mathematical operations which can be performed on phase images.
Phase Tools (see sub menus) | Menu of useful operations, not necessarily restricted to phase images.
Add Color Marker | Adds a color bar and the low and high display ranges. You can move the whole color marker or change its size. Since the display ranges are text annotations, you can move and edit them as you like. The color marker can be placed outside of the image display. You can rotate and flip using Edit commands. (The ratio of the color bar is fixed.)
Image Group (see sub menus) | Menu to close or save groups of images within a particular project.
Project (see sub menus) | Menu to manage all the images in a particular project.
Reference Image (see sub menus) | Menu to define reference images for distortion correction due to CCD cameras or projector lenses.


Phase Callculation Menu

Phase Calculation Menu

Create Phase Image Dialog

The components of the dialog are described below.

Command | Description
Project Name | Name given to the group of images and results
Mask Tab | For information about the components of the Mask tab, see Mask Tab below.
Display Tab | For information about the components of the Display tab, see Display Tab below.
Distortion Tab | For information about the components of the Distortion tab Distortion Tab below.
OK | Closes the dialog and starts the image calculation according to the specified parameters.
Cancel | Closes the dialog without executing the command.

Mask Tab

Command |  | Description
Type |  | Defines the shape of mask used to isolate the selected spots in the Fourier transform.
 | Cosine Mask | Half-cosine-shaped mask. Size corresponds to radius of hard cut-off and cosine quarter period (i.e. first zero).
 | Hard Circular Mask | Top-hat function. Size corresponds to radius of hard cut-off.
Size |  | Defines mask radius of hard cut-off (beyond which values are set to zero).
 | Selection | Default values of large (g/2), medium (g/3) and small (g/4). Custom allows any value.
 | Text Field | In units of pixels in the FFT.
 | Apply Button | Displays mask size as circles on Power Spectrum around selected spots (this is just for display purposes and is not necessary for the calculation).
 | Spatial Resolution | Displays the equivalent averaging in real space (but will appear only if the original image is calibrated).
Binning |  | Defines if the resulting phase images are to be binned with respect to the original image thus reducing their size and speeding the calculation.

Display Tab

Command |  | Description
Display |  | Choice of images to be calculated and displayed.
 | Geometric Phase Image | Geometric phase image.
 | Amplitude Image | Amplitude of lattice fringes.
 | Bragg Filtered Image | Bragg filtered image i.e. image of selected lattice fringes.

Distortion Tab

Command |  | Description
Camera |  | Selection of the reference images used for correcting camera distortions (these need preparing with the Reference Image menu).
Lens |  | Selection of the reference images used for correcting lens distortions (these need preparing with the Reference Image menu).
Apply Correction |  | Activates the use of the camera and/or lens reference images to correct distortions. If both are activated, the corrections will be applied successively.
Polynomial fit |  | Activates the use of polynomial fit to the lens distortion (not for camera distortion).
 | Order | Specifies the order of polynomial fit.
 | Exclude border pixels | Specifies the width of border pixels to be excluded when estimating polynomial fit parameters. (Most of the cases the border pixels are affected by discontinuity at the borders. Thus, it is a good idea to exclude some border pixels.)
 | Show fittings | Tick to display the polynomial fit in a new window.


Define Reference Menu

Option | Description
Refine | Third step in the GPA procedure. Before running the command, an area needs to be selected by the DM rectangular ROI tool. The command defines this region as the reference lattice and adjusts phase images accordingly (see options).
Setup... | Opens Setup dialog.

Setup Tab

Option | Description
Use Same Area | Reference area is automatically applied to all phase images in the project when using the Refine command or Automatic Update option.
Automatic Update | Moving the reference area automatically updates the phase images and reference values.
Show gx,gy | Displays the values of the reference lattice gx and gy in the DM Results window each time the reference area is updated.
Rotatable | Tick to make the rectangular ROI rotatable. The edge length will be adjusted by one of the yellow edges, and the rotation angle will be adjusted by the yellow cross (+). (You can change the both edge lengths by dragging the yellow cross when pushing the SHIFT key.)


Scan Distortion Correction Menu

Scan Distortion Correction Dialog

Component | Description
Extend ROI vertically | Scan distortion correction will be measured within the ROI and applied across the whole image from the top to bottom line of the ROI. If checked, the ROI is artificially extended vertically to the top and bottom of the image.
Show scan distortion | If checked, the phase maps (denoted g_SDh) used for the scan distortion correction will be displayed. in addition to the scan-corrected phase images (denoted g _SC).
Keep original phase | If checked, the original phase images will be kept displayed.


Displacement field menu

Displacement field Dialog

Component | Description
Angle of x-axis to horizontal | Defines the orientation of the x-axis used for the displacement field calculation. Angle defined in degrees between the x-axis and the horizontal plane of the image (anticlockwise positive). The values used for the previous calculation will be shown. Note:You can specify the orientation of the x-axis by placing a Line ROI on the HREM image. In this case, the angle of the Line ROI appears here automatically.
Phase to be used | Select two phases to be used from the phase list.
P1 to Pn | Phase list with a check box.


Strain Field Menu

Calculate Strain Dialog
(Strain Tab)

Component | Description
Angle of x-axis to horizontal | Defines the orientation of the x-axis used for the strain calculation. Angle defined in degrees from the horizontal plane of the image to the x-axis (anticlockwise positive). The values used for the previous calculation will be shown. Note:You can specify the orientation of the x-axis by placing a Line ROI on the HREM image. In this case, the angle of the Line ROI appears here automatically.
Show the following Images | Choice of results to be displayed.
Symmetric Strain Matrix | Images of εxx, εyy and εxy to be displayed.
Mean Dilatation | Image of δxy to be displayed (average of εxx and εyy).
Rotation Angle | Image of ωxy to be displayed. Values in degrees and anticlockwise positive.
Phase to be used | Select the phases to be used from the phase list.
P1 to Pn | Phase list with a check box.
Check/Un-Check All Phases | Toggle button to check/un-check all phases.

Calculate Strain Dialog
(Strain Tab)

Component | Description
Normalize by g | Applies the weight proportional to 1/g.
Weight Mode | Selection from a weight list: None/Spot Amplitude/ Image Amplitude/Spot Intensity/Image Intensity.


Phase Maths Menu

Repeat Project Menu

Option | Description
Repeat Current Project | Repeats the same operations as carried out in the current project on the front most HREM image. Note: the current references of the phase images in the repeated project are used to calculate the new phase images. See dialog box for options.
Repeat Saved Project | Repeats the same operations as carried out in a saved project on the front most HREM image.
Save Current Project As | Saves the details of the current project for later use.
Clean up Project List | Removes project details.

Repeat Project Menu

Option | Description
New Project | Defines the name of the new project.
Power Spectrum | Tick for the power spectrum to be displayed.
Phase calculation | Tick for the phase image to be displayed (including amplitude and Bragg filtered images if calculated in the repeated project).
Fringe deformation | Tick for the fringe deformation to be displayed (if calculated in the repeated project).
Strain field | Tick for the strain field to be displayed (if calculated in the repeated project).
Define reference | Tick to Define reference in the same area as for the repeated project.
Distortion correction | Tick to apply the distortion correction as for the repeated project.


Phase Maths Menu

Option | Description
Add constant phase | Adds a uniform phase value to the front most image and renormalizes the phase.
Renormalize phase | Renormalizes the phase between -π and +π.
Add phase images | Adds two phase images together (requested in a dialog box) and displays result in a third window (after phase renormalization). If the phases images are in the same project, the new phase image will have a reference equal to the sum of the references of the two phase images. Otherwise, the new phase image will have a reference equal to the first phase image selected.
Subtract phase images | Subtracts two phase images (requested in a dialog box) and displays result in a third window (after phase renormalization). If the phases images are in the same project, the new phase image will have a reference equal to the difference of the references of the two phase images. Otherwise, the new phase image will have a reference equal to the first phase image selected.
Invert phase | Calculates the negative of the phase (and inverts the g-vector).


Phase Tools Menu

Option | Description
Show gx, gy | Displays in the DM Results window the values of the reference lattice gx and gy in 1/pixels.
Sample by 2 | Rebins the front most phase image by two and multiplies the reference by two (thus preserving the reference values gx and gy in pixels-1 of the newly sampled image).
Countours... | Superimposes contours on the front most image (see options).
Create moires | Creates a moiré image from the front most phase image. Asks for the magnification factor n equivalent to moiré fringes every n lattice fringes.
Import phase images | Imports images into GPA, so that they are recognized as phase images. Dialog boxes will appear asking for the values gx and gy in pixels-1. If the image has tags called Phase:gx and Phase:gy, these will be proposed as default. Images that are imported together will be placed in a project.

Contours Dialog
(Option Tab)

Component | Description
Contour spacing | Step in image values between each contour.
Number of contours | Total number of contours displayed.
Mid contour | Image value corresponding to mid contour.
Contour width | Contour line width in pixels.


Phase Maths Menu

Image Group Menu

Option | Description
Save | Saves (with dialog) all images in a project of the same type as the front most image (e.g. deformation images).
Close | Closes (without saving) all images of the same type as the front most image.


Phase Maths Menu

Project Menu

Option | Description
Hide | Hides all the images in a project.
Show | Shows all the images in a hidden project.
Save | Saves all the images in a project (with save dialog window).
Close | Closes all the images in a project without saving.


Phase Maths Menu

Reference Image Menu

Option | Description
Save As | Saves the HREM image of the current project as a reference image for image distortions. Two phase images need to have been calculated. The reference image will then appear in the Distortion tab described in Phase Calculation.
Delete | Deletes a selected reference image.